# == Class prometheusforemansd::config
#
# This class is called from prometheusforemansd
#
class prometheusforemansd::config {
  case $::prometheusforemansd::install_method {
    'archive': {
      $cfg = $::prometheusforemansd::cfg

      file { "${::prometheusforemansd::install_dir}/prometheusforemansd.yaml":
        ensure  => present,
        content => template('prometheusforemansd/config.yaml.erb'),
      }
    }
    default: {
      fail("Installation method ${::prometheusforemansd::install_method} not supported")
    }
  }
}